libwnck-tools-3.32.0-127.3.i586.rpm


Advertisement

Description

libwnck-tools - Window Navigator Construction Kit -- Tools

Property Value
Distribution openSUSE Tumbleweed
Repository GNOME Factory x86_64 + i586
Package filename libwnck-tools-3.32.0-127.3.i586.rpm
Package name libwnck-tools
Package version 3.32.0
Package release 127.3
Package architecture i586
Package type rpm
Category Development/Libraries/GNOME
Homepage https://git.gnome.org/browse/libwnck
License LGPL-2.1-or-later
Maintainer -
Download size 49.75 KB
Installed size 65.34 KB
The Window Navigator Construction Kit is a library that can be used to
write task lists, pagers, and similar GNOME programs.
This package provides some utilities based on libwnck.

Alternatives

Package Version Architecture Repository
libwnck-tools-3.32.0-160.3.i586.rpm 3.32.0 i586 GNOME Next
libwnck-tools-3.32.0-160.3.x86_64.rpm 3.32.0 x86_64 GNOME Next
libwnck-tools-3.32.0-124.14.x86_64.rpm 3.32.0 x86_64 GNOME Factory
libwnck-tools-3.32.0-1.4.i586.rpm 3.32.0 i586 openSUSE Oss
libwnck-tools-3.32.0-1.4.x86_64.rpm 3.32.0 x86_64 openSUSE Oss
libwnck-tools - - -

Requires

Name Value
libX11.so.6 -
libc.so.6(GLIBC_2.4) -
libgdk-3.so.0 -
libglib-2.0.so.0 -
libgobject-2.0.so.0 -
libgtk-3.so.0 -
libwnck-3.so.0 -

Provides

Name Value
libwnck-tools = 3.32.0-127.3
libwnck-tools(x86-32) = 3.32.0-127.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libwnck-tools-3.32.0-127.3.i586.rpm
Source Package libwnck-3.32.0-127.3.src.rpm

Install Howto

  1. Add the GNOME Factory repository:
    # zypper addrepo http://widehat.opensuse.org/repositories/GNOME:/Factory/openSUSE_Factory/ gnome-factory
  2. Install libwnck-tools rpm package:
    # zypper install libwnck-tools

Files

Path
/usr/bin/wnck-urgency-monitor
/usr/bin/wnckprop

Changelog

2020-01-25 - Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
2019-05-01 - Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.0:
+ Add signals for enter and leave notify events in task list.
+ Meson: depend on 0.50.0, use install_dir for .pc file and
subdir parameter.
- Drop libwnck-meson-0.50.patch: Fixed upstream.
2019-04-17 - Dominique Leuenberger <dimstar@opensuse.org>
- Add libwnck-meson-0.50.patch: Fix build with meson 0.50.
2019-02-06 - bjorn.lie@gmail.com
- Fix translation-update-upstream call, needed after update of
translation-update-upstream in distro.
2019-01-08 - bjorn.lie@gmail.com
- Update to version 3.31.4:
+ Meson: cleanups to the dependencies and fixed docs quotes.
+ Wnckprop: force it working under x11, so that it will work in
Wayland for X11 clients.
+ Update class group icon when window icon has changed.
2019-01-05 - bjorn.lie@gmail.com
- Update to version 3.31.1:
+ Add support to build using meson.
- Switch to meson buildsystem, add meson BuildRequires and macros.
- Add libwnck-rpmlintrc: Filter out bogus rpmlint warning about
libwnck-tools not containing any libs.
2018-09-12 - antoine.belvire@opensuse.org
- Update to version 3.30.0:
+ Use single precision floats to double.
+ Allow setting the same client type (bgo#792304).
+ Remove usage of various deprecated functions and modernize
code.
+ Add gitlab-ci pipeline (glgo#GNOME/libwnck#3).
+ Updated translations.
2018-03-20 - dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2017-07-28 - zaitor@opensuse.org
- Update to version 3.24.1:
+ Fixed regression causing not working pin window.
+ Fixed Localedir.

See Also

Package Description
libwnck2-devel-2.31.0-25.27.x86_64.rpm Include Files and Libraries mandatory for Development
libwnck2-devel-2.31.0-28.3.i586.rpm Include Files and Libraries mandatory for Development
libwnck2-lang-2.31.0-25.27.noarch.rpm Translations for package libwnck2
libwnck2-lang-2.31.0-28.3.noarch.rpm Translations for package libwnck2
libwpe-1_0-1-1.4.0.1-7.4.x86_64.rpm Shared library for libwpe
libwpe-1_0-1-1.4.0.1-7.9.i586.rpm Shared library for libwpe
libwpe-1_0-1-32bit-1.4.0.1-7.9.x86_64.rpm Shared library for libwpe
libwpe-devel-1.4.0.1-7.4.x86_64.rpm Development files for libwpe
libwpe-devel-1.4.0.1-7.9.i586.rpm Development files for libwpe
libxklavier-devel-5.3-48.30.x86_64.rpm Development files for libxklavier
libxklavier-devel-5.3-48.36.i586.rpm Development files for libxklavier
libxklavier-doc-5.3-48.30.x86_64.rpm Additional Package Documentation for libxklavier
libxklavier-doc-5.3-48.36.i586.rpm Additional Package Documentation for libxklavier
libxklavier16-32bit-5.3-48.36.x86_64.rpm Library with X keyboard related functions
libxklavier16-5.3-48.30.x86_64.rpm Library with X keyboard related functions
Advertisement
Advertisement